Debian Bug report logs - #382225
xterm: provide example configuration for draggable scrollbars

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Wed, 9 Aug 2006 17:18:18 UTC

Severity: wishlist

Found in version xterm/210-3

Fixed in version xterm/223-1

Done: David Nusinow <dnusinow@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dickey@invisible-island.net, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#382225; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
New Bug report received and forwarded. Copy sent to dickey@invisible-island.net, Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: scrollbars like firefox's
Date: Wed, 09 Aug 2006 17:18:54 +0800
Package: xterm
Version: 210-3
Severity: wishlist

I wish there was a way to make xterm scrollbars look and act just like
emacs-snapshot, rxvt, and firefox scrollbars -- a slider movable with
the left mouse button.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#382225; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 382225@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Dan Jacobson <jidanni@jidanni.org>, 382225@bugs.debian.org
Subject: Re: Bug#382225: xterm: scrollbars like firefox's
Date: Wed, 9 Aug 2006 16:35:55 -0400
[Message part 1 (text/plain, inline)]
On Wed, Aug 09, 2006 at 07:30:12PM +0200, Dan Jacobson wrote:
> Package: xterm
> Version: 210-3
> Severity: wishlist
> 
> I wish there was a way to make xterm scrollbars look and act just like
> emacs-snapshot, rxvt, and firefox scrollbars -- a slider movable with
> the left mouse button.

There already is (though I agree it's not well documented).
The scrollbar behavior is controlled by a translations resource.
Reading the Xaw source-code, I see this (not much better in the Xaw spec):

static char defaultTranslations[] =
"<Btn5Down>:"   "StartScroll(Forward)\n"
"<Btn1Down>:"   "StartScroll(Forward)\n"
"<Btn2Down>:"   "StartScroll(Continuous) MoveThumb() NotifyThumb()\n"
"<Btn3Down>:"   "StartScroll(Backward)\n"
"<Btn4Down>:"   "StartScroll(Backward)\n"
"<Btn2Motion>:" "MoveThumb() NotifyThumb()\n"
"<BtnUp>:"      "NotifyScroll(Proportional) EndScroll()\n";

which gives some hints.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information stored:
Bug#382225; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 382225-quiet@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: 382225-quiet@bugs.debian.org
Subject: make scrollbar like others
Date: Wed, 06 Sep 2006 12:46:27 +0800
> which gives some hints.
Not to feeble mined me.
Need something one can
drop in .Xresources.



Changed Bug title. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#382225; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 382225@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 382225@bugs.debian.org
Subject: re: #382225 xterm: provide example configuration for draggable scrollbars
Date: Thu, 30 Nov 2006 20:38:42 -0500
[Message part 1 (text/plain, inline)]
done in xterm #223 (manpage)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to David Nusinow <dnusinow@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 382225-close@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@debian.org>
To: 382225-close@bugs.debian.org
Subject: Bug#382225: fixed in xterm 223-1
Date: Tue, 05 Dec 2006 00:47:02 +0000
Source: xterm
Source-Version: 223-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_223-1.diff.gz
  to pool/main/x/xterm/xterm_223-1.diff.gz
xterm_223-1.dsc
  to pool/main/x/xterm/xterm_223-1.dsc
xterm_223-1_i386.deb
  to pool/main/x/xterm/xterm_223-1_i386.deb
xterm_223.orig.tar.gz
  to pool/main/x/xterm/xterm_223.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 382225@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Nusinow <dnusinow@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  4 Dec 2006 19:27:21 -0500
Source: xterm
Binary: xterm
Architecture: source i386
Version: 223-1
Distribution: unstable
Urgency: low
Maintainer: David Nusinow <dnusinow@debian.org>
Changed-By: David Nusinow <dnusinow@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 347722 382225 397624 399638
Changes: 
 xterm (223-1) unstable; urgency=low
 .
   [ Julien Cristau ]
   * New upstream release. Includes the following fixes for bugs reported in
     the Debian BTS:
     + add the Xaw scrollbar translations resource to the xterm manpage, add an
       example showing how to change the mouse button assignments
       (closes: #382225).
     + amend cell-width computation for FreeType from patch #217, which did not
       work for VT100 line-drawing characters (closes: #399638).
     + revert an optimisation in SGR_Foreground() and SGR_Background from patch
       #209 (closes: #347722).
     + fixes to make the internalBorder area not change color due to
       reverseVideo and/or related exposure events.  The latter was a very old
       bug exposed in patch #196 (closes: #397624).
    * The fix for #347790 is now included upstream.
Files: 
 0dba4a810da97051168829e842c3d22d 813 x11 optional xterm_223-1.dsc
 bf5bb77496ddf95df32b8e752a6cabb0 804647 x11 optional xterm_223.orig.tar.gz
 1c2b55d636de9271f05364133fb13790 61456 x11 optional xterm_223-1.diff.gz
 66f5c12e9f408a45c22b34a532cbf19d 439164 x11 optional xterm_223-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFdL7tyLfpNdY0ad8RAu1XAJ9dJlPcWA0ioIA7GEMA/eUFnZav8gCfWZYH
PgCbvIVWv4OvjGjRQFq8bjk=
=DBJ2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 23:22:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:26:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.